Subject: bug#49714: 28.0.50; TRAMP burns CPU and has insufficient user reporting when using xxxx-sk SSH keys

From: Dima Kogan <[email-masked]>
Date: Sat, 24 Jul 2021 11:35:05 -0700

Michael Albinus <[email-masked]> writes:

> set tramp-verbose to 10, and send the Tramp debug buffer after the
> test.

I have a log. It's large. Do I need to sanitize the credentials out of
it? Don't see anything sensitive at a quick glance.

>> There should be a loop, but emacs shouldn't be using all my CPU cycles
>> while waiting for user interaction. Emacs can select() on the ssh
>> process file descriptor, and sleep until the ssh process has stuff to
>> say.
>
> Well, I'm on Lisp level. I just have accept-process-output, and in my
> loop I check whether there is new output. There's no low level API to
> let Emacs sleep for the ssh process file descriptor.

It just sounds unbelievable that emacs can't do blocking reads from the
lisp level. Let me look at (accept-process-output)